function Y=left_ventricle(x)
TC     = x(1);    %    
TT     = x(2);    %  
kL     = x(3);    %  
time   = x(4);    %   
A5     = x(5);    %
VHL    = x(6);    %   

global PSHL;      %
global VHL_KD;    %
global VHL_KS;    %
global TS_HL;     %
global TS0_HL;    %
global DTS_HL;    %
global T;         %
global Y1;        %
global Y2;        %
global Y3;        %

A  = 0.25; 
B  = 0.2; 
U0 = 20;
T  = TT;

%   .
if((time==0)|(TC == 0))
   VHL_KD = VHL;
   TS0_HL = A*T + B*(1-kL);
   TS_HL = TS0_HL;
   VHL_KS = (1-kL)*VHL_KD + U0;
   
   %   .
   if((time==0))
     PSHL = 101.67; 
     DTS_HL = 0.0;
   else
     PSHL = PSHL + A5*DTS_HL;  
   end    
end

if(TC >= TS0_HL)
   Y2 = 0;
else
   Y2 = 1;    
end;

%   ,   .
if((VHL <= VHL_KS) & (Y3 == 1))
   Y3=0;
   TS_HL = TC;
   DTS_HL = TS_HL-TS0_HL;
end

Y(1) = Y3;              %    
Y(2) = Y2;              %    
Y(3) = DTS_HL;          %  
Y(4) = VHL_KD;          % -  
Y(5) = VHL_KS;          % -  
Y(6) = PSHL;            %   
Y(7) = TS_HL;           %    
Y(8) = Y1;              %     
