function Y=right_ventricle(x)
TC     = x(1);    %    
TT     = x(2);    %  
kR     = x(3);    %  
time   = x(4);    %   
A5     = x(5);    %
VHR    = x(6);    %   

global PSHR;      %
global VHR_KD;    %
global VHR_KS;    %
global TS_HR;     %
global TS0_HR;    %
global DTS_HR;    %
global T;         %
global Y1;        %
global Y4;        %
global Y5;        %

A  = 0.25; 
B  = 0.2; 
U0 = 20;
T  = TT;

%   .
if((time==0)|(TC == 0))
   VHR_KD = VHR;
   TS0_HR = A*T + B*(1-kR);
   TS_HR = TS0_HR;
   VHR_KS = (1-kR)*VHR_KD + U0;
   
   %   .
   if((time==0))
     PSHR = 102.67; 
     DTS_HR = 0.0;
   else
     PSHR = PSHR + A5*DTS_HR;  
   end    
end

if(TC >= TS0_HR)
   Y4 = 0;
else
   Y4 = 1;    
end;

%   ,   .
if((VHR <= VHR_KS) & (Y5 == 1))
   Y5=0;
   TS_HR = TC;
   DTS_HR = TS_HR-TS0_HR;
end

Y(1) = Y5;              %    
Y(2) = Y4;              %    
Y(3) = DTS_HR;          %  
Y(4) = VHR_KD;          % -  
Y(5) = VHR_KS;          % -  
Y(6) = PSHR;            %   
Y(7) = TS_HR;           %    
Y(8) = Y1;              %     
